VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Determine CDRom Drives"
   ClientHeight    =   2415
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3210
   LinkTopic       =   "Form1"
   ScaleHeight     =   2415
   ScaleWidth      =   3210
   StartUpPosition =   3  'Windows Default
   Begin VB.ListBox List1 
      Height          =   1425
      Left            =   60
      Sorted          =   -1  'True
      TabIndex        =   0
      Top             =   405
      Width           =   2925
   End
   Begin VB.Label Label1 
      Caption         =   "Available CDRom Drives"
      Height          =   225
      Left            =   75
      TabIndex        =   1
      Top             =   120
      Width           =   2895
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'
'
'Aaron Young
'Analyst Programmer
'ajyoung@pressenter.com <mailto:ajyoung@pressenter.com>
'http://www.pressenter.com/~ajyoung
'
Private Declare Function GetDriveType Lib "kernel32" Alias "GetDriveTypeA" (ByVal nDrive As String) As Long
Private Declare Function GetLogicalDriveStrings Lib "kernel32" Alias "GetLogicalDriveStringsA" (ByVal nBufferLength As Long, ByVal lpBuffer As String) As Long
Private Const DRIVE_CDROM = 5

Private Sub ListCDROMs()
    Dim sDrives As String
    Dim sDrive As String

    sDrives = Space(255)
    sDrives = Left$(sDrives, GetLogicalDriveStrings(255, ByVal sDrives))
    While InStr(sDrives, "\")
        sDrive = Left$(sDrives, InStr(sDrives, "\"))
        If GetDriveType(sDrive) = DRIVE_CDROM Then
            List1.AddItem "(CDRom) " & sDrive
        End If
        sDrives = Mid$(sDrives, Len(sDrive) + 2)
    Wend
End Sub

Private Sub Form_Load()
    ListCDROMs
End Sub
